QGIS Application - Bug report #15213
During rendering WMS-images is removed too early?
2016-07-04 05:08 AM - Richard Duivenvoorde

Status: Closed

Priority: Normal

Assignee:

Category: Map Canvas

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: end of life
Crashes QGIS or corrupls data: Copied to github as #: 23151
Description

If you have a (not so fast) WMS layer, for example one of the layers from:

http://geoservices.knmi.nl/cgi-bin/RADNL_OPER R 25PCPRR_L3.cqgi?

when you pan or zoom in, the total images is removed before the new (to retrieve) wms image is retrieved.

this results in flickering. Especially when you start using such layers in for example TimeManager.

It would be nice if the 'old image' is at least shown untill the new one is fully(?) received. Even if that means for example if you panned half
a mapcanvas that you will not see anything on that half untill the new image comes in.

| had a look into the ggsmaprendererjob.cpp, but could not fully understand where the old image is cleaned up, and how to make this
specific for wms.

And as a bonus,... (working with WMS-T (time dimension) layers in combi with TimeManagerplugin): it would be cool if the wms-images
could be cached based on the full url. In case of 'moving over time', the extent stays perfectly the same, and only the & TIME= component
changes. Making it perfectly suitable to be cached, so playing back or replaying a time-laps could go without resending the GetMap
requests?

History

#1 - 2017-05-01 01:05 AM - Giovanni Manghi
- Easy fix? set to No

- Regression? set to No

#2 - 2018-12-30 06:59 PM - kajo kaji

The map renderer for XYZ tiles doesn't have this inconvenient issue. | guess it can be a good source of inspiration.

EDIT:

Using a WMTS service instead of a simple WMS service resolved the issue for my case.

#3 - 2019-03-09 04:23 PM - Giovanni Manghi
- Resolution set to end of life
- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR
http://geoservices.knmi.nl/cgi-bin/RADNL_OPER_R___25PCPRR_L3.cgi

Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
